<template>
  <div class="global">
    <div class="mainContainer">
      <el-tabs v-model="activeName" @tab-click="handleClick">
        <el-tab-pane
          label="粮仓组织架构管理"
          name="GranaryOrganizationalStructureManagement"
        />
        <el-tab-pane
          label="人员组织架构管理"
          name="PersonnelOrganizationalStructureManagement"
        />
        <el-tab-pane
          label="粮库基本信息"
          name="WarehouseBasicInformation"
        />
      </el-tabs>
      <div id="main">

        <router-view />
      </div>
    </div>
  </div>
</template>
<script>

export default {
  name: 'OrganizationalStructureTabs',

  data() {
    return {

      activeName: 'GranaryOrganizationalStructureManagement'
    }
  },
  mounted() {
    this.activeName = this.$route.name
  },
  methods: {
    handleClick(tab, event) {
      this.$router.push({
        name: tab.name
      })
    }

  }
}
</script>
<style lang="scss" scoped>

</style>
